net.sf.jasperreports.export

## Interface XlsMetadataReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration, XlsReportConfiguration
  All Known Subinterfaces:
    JxlMetadataReportConfiguration
  All Known Implementing Classes:
    SimpleJxlMetadataReportConfiguration, SimpleXlsMetadataReportConfiguration

      public interface XlsMetadataReportConfiguration
      extends XlsReportConfiguration

  Interface containing settings used by the Excel metadata exporters.
  Version:
    $Id: XlsMetadataExporterConfiguration.java 6709 2013-11-08 14:39:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRXlsMetadataExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_COLUMN_NAMES_PREFIX` Properties having this prefix contain comma-separated column names.
    `static java.lang.String` | `PROPERTY_WRITE_HEADER` Property whose value is used as default for the `isWriteHeader()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `PROPERTY_CELL_HIDDEN, PROPERTY_CELL_LOCKED, PROPERTY_COLLAPSE_ROW_SPAN, PROPERTY_COLUMN_WIDTH_RATIO, PROPERTY_DETECT_CELL_TYPE, PROPERTY_FIRST_PAGE_NUMBER, PROPERTY_FIT_HEIGHT, PROPERTY_FIT_WIDTH, PROPERTY_FONT_SIZE_FIX_ENABLED, PROPERTY_FREEZE_COLUMN, PROPERTY_FREEZE_ROW, PROPERTY_IGNORE_ANCHORS, PROPERTY_IGNORE_CELL_BACKGROUND, PROPERTY_IGNORE_CELL_BORDER, PROPERTY_IGNORE_GRAPHICS, PROPERTY_IGNORE_HYPERLINK, PROPERTY_IMAGE_ANCHOR_TYPE, PROPERTY_IMAGE_BORDER_FIX_ENABLED, PROPERTY_MAXIMUM_ROWS_PER_SHEET, PROPERTY_ONE_PAGE_PER_SHEET, PROPERTY_PAGE_SCALE, PROPERTY_PASSWORD, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SHEET_DIRECTION, PROPERTY_SHEET_FOOTER_CENTER, PROPERTY_SHEET_FOOTER_LEFT, PROPERTY_SHEET_FOOTER_RIGHT, PROPERTY_SHEET_HEADER_CENTER, PROPERTY_SHEET_HEADER_LEFT, PROPERTY_SHEET_HEADER_RIGHT, PROPERTY_SHEET_NAMES_PREFIX, PROPERTY_SHOW_GRIDLINES, PROPERTY_USE_TIMEZONE, PROPERTY_WHITE_PAGE_BACKGROUND, PROPERTY_WRAP_TEXT`

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getColumnNames()` Returns an array of strings representing the comma-separated names of the columns that should be exported.
    `java.lang.Boolean` | `isWriteHeader()` Returns a boolean that specifies whether the export header (the column names) should be written or not.

    - ### Methods inherited from interface net.sf.jasperreports.export.XlsReportConfiguration

      `getColumnWidthRatio, getFirstPageNumber, getFitHeight, getFitWidth, getFormatPatternsMap, getImageAnchorType, getMaxRowsPerSheet, getPageScale, getPassword, getSheetDirection, getSheetFooterCenter, getSheetFooterLeft, getSheetFooterRight, getSheetHeaderCenter, getSheetHeaderLeft, getSheetHeaderRight, getSheetNames, isCellHidden, isCellLocked, isCollapseRowSpan, isDetectCellType, isFontSizeFixEnabled, isIgnoreAnchors, isIgnoreCellBackground, isIgnoreCellBorder, isIgnoreGraphics, isIgnoreHyperlink, isIgnorePageMargins, isImageBorderFixEnabled, isOnePagePerSheet, isRemoveEmptySpaceBetweenColumns, isRemoveEmptySpaceBetweenRows, isShowGridLines, isUseTimeZone, isWhitePageBackground, isWrapText`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_WRITE_HEADER

          static final java.lang.String PROPERTY_WRITE_HEADER

      Property whose value is used as default for the `isWriteHeader()` export configuration flag.

      The property itself defaults to `false`.

      See Also:
        `JRPropertiesUtil`, Constant Field Values

    - #### PROPERTY_COLUMN_NAMES_PREFIX

          static final java.lang.String PROPERTY_COLUMN_NAMES_PREFIX

      Properties having this prefix contain comma-separated column names. If set, these values are considered as defaults for the `getColumnNames()` export configuration setting.
      See Also:
        `JRPropertiesUtil`, Constant Field Values

  - ### Method Detail

    - #### isWriteHeader

          java.lang.Boolean isWriteHeader()

      Returns a boolean that specifies whether the export header (the column names) should be written or not.
      See Also:
        `PROPERTY_WRITE_HEADER`

    - #### getColumnNames

          java.lang.String[] getColumnNames()

      Returns an array of strings representing the comma-separated names of the columns that should be exported. NOTE: The order of the columns is important and for accurate results they should be in the same order as the original columns.
      See Also:
        `PROPERTY_COLUMN_NAMES_PREFIX`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com